Expand Options
OHLCV (Last 24h)
Retrieve ohlcv_last_24h data for an asset using the expand parameter
GET
/
v1
/
assets
/
{idOrSlug}
Get Asset
curl --request GET \
--url https://api.blockworks.com/v1/assets/{idOrSlug} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.blockworks.com/v1/assets/{idOrSlug}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.blockworks.com/v1/assets/{idOrSlug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 2147483647,
"code": "<string>",
"title": "<string>",
"slug": "<string>",
"tag_line": "<string>",
"description": "<string>",
"image_url": "<string>",
"sector": "<string>",
"category": "<string>",
"updated_at": 123,
"type": "Infrastructure",
"market_cap": {
"asset_id": 2147483647,
"rank": 2147483647,
"usd": 8.988465674311579e+307,
"dominance": 1.7014115e+38,
"percent_change_btc_1_h": 1.7014115e+38,
"percent_change_btc_24_h": 1.7014115e+38,
"percent_change_usd_1_h": 1.7014115e+38,
"percent_change_usd_24_h": 1.7014115e+38,
"percent_change_eth_1_h": 1.7014115e+38,
"percent_change_eth_24_h": 1.7014115e+38,
"updated_at": 123
},
"price": {
"asset_id": 2147483647,
"usd": 8.988465674311579e+307,
"btc": 8.988465674311579e+307,
"eth": 8.988465674311579e+307,
"sparkline_7d": "<string>",
"updated_at": 123
}
}Overview
Add the?expand=ohlcv_last_24h flag to your /assets or /assets/{idOrSlug} page to include ohlcv_last_24h data in the response.
Example Request
curl -H "x-api-key: YOUR_API_KEY" \
"https://api.blockworks.com/v1/assets/ethereum?expand=ohlcv_last_24h"
const res = await fetch(
'https://api.blockworks.com/v1/assets/ethereum?expand=ohlcv_last_24h',
{ headers: { 'x-api-key': 'YOUR_API_KEY' } }
)
const data = await res.json()
import requests
r = requests.get(
'https://api.blockworks.com/v1/assets/ethereum',
headers={'x-api-key': 'YOUR_API_KEY'},
params={'expand': 'ohlcv_last_24h'}
)
data = r.json()
Example Response
{
"id": 2,
"code": "ETH",
"title": "Ethereum",
"slug": "ethereum",
... // other asset data
"ohlcv_last_24h": {
"assetId": 2,
"open": 2991.0164373997,
"high": 4514.81,
"low": 4347.24,
"close": 2972.9752699223,
"volume": 14018548707.668,
"updated_at": 1759454319
}
}
Response Fields
| Field | Type | Description |
|---|---|---|
assetId | number | Unique identifier for the asset |
open | number | Price at the start of the trailing 24h window |
high | number | Highest price during the trailing 24h window |
low | number | Lowest price during the trailing 24h window |
close | number | Price at the end of the trailing 24h window |
volume | number | Total traded volume over the trailing 24h window |
updated_at | number | Unix timestamp when values were last refreshed |
Notes
- Can be used with other expansion options by joining with a comma (e.g.
?expand=markets,ohlcv_last_24h). - Can be used on
/v1/assets/or/v1/assets/{idOrSlug}endpoints. priceandmarket_capare expanded by default in/assets/{idOrSlug}results unless an explicit?expand=flag is provided.
See also
Authorizations
Path Parameters
Query Parameters
Available options:
addresses, chains, addresses.chain, markets, market_cap, ohlcv_last_24_h, price, reference, sector, supply Response
Required range:
0 <= x <= 4294967295Maximum string length:
20Maximum string length:
100Maximum string length:
100Maximum string length:
255Maximum string length:
65535Maximum string length:
255Maximum string length:
50Maximum string length:
25Unix timestamp
Available options:
Infrastructure, Application Expandable relationship
Show child attributes
Show child attributes
Expandable relationship
Show child attributes
Show child attributes